--
-- Database: `adplatform`
--

--
-- Table structure for table `tbladplatform`
--

CREATE TABLE IF NOT EXISTS `tbladplatform` (
  `intAdplatformId` int(11) NOT NULL DEFAULT '0',
  `strAdplatform` varchar(300) DEFAULT NULL,
  `strAddress` varchar(500) DEFAULT NULL,
  `strPhone` varchar(15) DEFAULT NULL,
  `strEmail` varchar(100) DEFAULT NULL,
  `strContactPerson` varchar(100) DEFAULT NULL,
  `strGst` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`intAdplatformId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbladplatform`
--

INSERT INTO `tbladplatform` (`intAdplatformId`, `strAdplatform`, `strAddress`, `strPhone`, `strEmail`, `strContactPerson`, `strGst`) VALUES
(1, 'Hindustan', 'Delhi Road', '9412246222', 'vikas@gmail.com', '67777', '556634565'),
(2, 'Dainik Jagran', 'ddd', 'dd', 'dd@gmail.com', 'dd', 'ddd455'),
(3, 'Amar Ujala', 'ddd', 'dd', 'dd@gmail.com', 'dd', 'ddd455'),
(4, 'Times of India', 'ddd', 'dd', 'dd@gmail.com', 'dd', 'ddd455'),
(5, 'Hindustan Times', '', '9058883861', 'zez@zez.in', 'Rahul', '213345');

-- --------------------------------------------------------

--
-- Table structure for table `tbladplatformcomm`
--

CREATE TABLE IF NOT EXISTS `tbladplatformcomm` (
  `intAdplatformCommId` int(11) NOT NULL,
  `intAdplatformId` int(11) DEFAULT NULL,
  `dblAdplatformComm` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`intAdplatformCommId`),
  KEY `fkAdplatformComm_adplatform` (`intAdplatformId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbladplatformcomm`
--

INSERT INTO `tbladplatformcomm` (`intAdplatformCommId`, `intAdplatformId`, `dblAdplatformComm`) VALUES
(1, 1, '15'),
(2, 1, '7.5');

-- --------------------------------------------------------

--
-- Table structure for table `tbladvttypes`
--

CREATE TABLE IF NOT EXISTS `tbladvttypes` (
  `intAdvtTypeID` int(11) NOT NULL,
  `strAdvtType` varchar(50) CHARACTER SET hp8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbladvttypes`
--

INSERT INTO `tbladvttypes` (`intAdvtTypeID`, `strAdvtType`) VALUES
(1, 'Aarogyam'),
(2, 'Classified'),
(3, 'Classified display'),
(4, 'Court Samman'),
(5, 'Display'),
(6, 'DRT NOTICE'),
(7, 'Education'),
(8, 'Matrimonial'),
(9, 'Medical Helpline'),
(10, 'Nai Dishayen'),
(11, 'NavDarshika'),
(12, 'Public Notice'),
(13, 'Retail Deal'),
(14, 'Sharirik Samasya'),
(15, 'Shok'),
(16, 'Shopping Destination'),
(17, 'Shudhi Patra'),
(18, 'Suchna'),
(19, 'Tender Notice'),
(20, 'Festival bonanza');

-- --------------------------------------------------------

--
-- Table structure for table `tblclient`
--

CREATE TABLE IF NOT EXISTS `tblclient` (
  `intClientId` int(11) NOT NULL,
  `strClient` varchar(60) NOT NULL,
  `strAddress` text CHARACTER SET hp8,
  `strMobile` varchar(25) CHARACTER SET hp8 DEFAULT NULL,
  `strEmail` varchar(60) CHARACTER SET hp8 DEFAULT NULL,
  `strFax` varchar(25) CHARACTER SET hp8 DEFAULT NULL,
  `strContactPerson` varchar(60) CHARACTER SET hp8 DEFAULT NULL,
  `strClientCode` varchar(20) CHARACTER SET hp8 DEFAULT NULL,
  `strClientPan` varchar(100) DEFAULT NULL,
  `strClientGstn` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tbldbuser`
--

CREATE TABLE IF NOT EXISTS `tbldbuser` (
  `intDBuserId` int(11) NOT NULL,
  `strLogin` varchar(50) NOT NULL,
  `strPassword` varchar(50) NOT NULL,
  `intDBRoleType` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbldbuser`
--

INSERT INTO `tbldbuser` (`intDBuserId`, `strLogin`, `strPassword`, `intDBRoleType`) VALUES
(1, 'zezAdmin', 'zez', 1),
(2, 'admin', 'admin123', 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbleditions`
--

CREATE TABLE IF NOT EXISTS `tbleditions` (
  `intEditionID` int(11) NOT NULL,
  `strEdition` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=ascii;

--
-- Dumping data for table `tbleditions`
--

INSERT INTO `tbleditions` (`intEditionID`, `strEdition`) VALUES
(1, 'AGRA'),
(2, 'ALIGARH'),
(3, 'AMROHA'),
(4, 'BAREILLY'),
(5, 'BIJNOR'),
(6, 'DEHRADUN'),
(7, 'DELHI'),
(8, 'DELHI NCR'),
(9, 'HALDWANI'),
(10, 'KANPUR'),
(11, 'LUCKNOW'),
(12, 'MEERUT'),
(13, 'MORADABAD CITY'),
(14, 'MORADABAD DEHAT'),
(15, 'RAMPUR'),
(16, 'SAMBHAL'),
(17, 'SAMBHAL DEHAT'),
(18, 'UDHAM SINGH NAGAR'),
(19, 'WESTERN UP'),
(20, 'ALL UP'),
(21, 'ALL BIHAR'),
(22, 'ALL JHARKHAND'),
(23, 'ALL UTTRAKHAND');

-- --------------------------------------------------------

--
-- Table structure for table `tblpo`
--

CREATE TABLE IF NOT EXISTS `tblpo` (
  `intPOId` int(11) NOT NULL,
  `intAdplatformId` int(11) NOT NULL,
  `intAdplatformCommId` int(11) NOT NULL,
  `dtPO` date DEFAULT NULL,
  `intAdvtTypeID` int(11) NOT NULL,
  `strDimension` varchar(20) DEFAULT NULL,
  `strTotalSize` varchar(20) DEFAULT NULL,
  `strGuaranteedPosition` varchar(50) DEFAULT NULL,
  `intPremium` int(11) DEFAULT NULL,
  `intRate` int(11) DEFAULT NULL,
  `intCommision` int(11) DEFAULT NULL,
  `intAmount` int(11) DEFAULT NULL,
  `strRemarks` varchar(300) DEFAULT NULL,
  `intTotalNumbers` int(11) DEFAULT NULL,
  `strPaymentTerms` varchar(200) DEFAULT NULL,
  `intCreditDays` int(11) DEFAULT NULL,
  `strClient` varchar(50) DEFAULT NULL,
  `intClientId` int(11) NOT NULL,
  `intNewsPaperId` int(11) DEFAULT NULL,
  `strColour` varchar(20) DEFAULT NULL,
  `intWidth` int(11) DEFAULT NULL,
  `intHeight` int(11) DEFAULT NULL,
  `intNetAmount` int(11) DEFAULT NULL,
  `blnPrint` tinyint(1) DEFAULT NULL,
  `intbillrate` int(11) DEFAULT NULL,
  `intbillamount` int(11) DEFAULT NULL,
  `decBillTotal` decimal(10,2) DEFAULT NULL,
  `purchaseCGST` decimal(10,2) DEFAULT NULL,
  `purchaseSGST` decimal(10,2) DEFAULT NULL,
  `totalPurchaseAmt` decimal(10,2) DEFAULT NULL,
  `billCGST` decimal(10,2) DEFAULT NULL,
  `billSGST` decimal(10,2) DEFAULT NULL,
  `intIsTaxExempted` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tblpoeditions`
--

CREATE TABLE IF NOT EXISTS `tblpoeditions` (
  `intPOEditionsId` int(11) NOT NULL,
  `intPOId` int(11) NOT NULL,
  `intEditionId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tblro`
--

CREATE TABLE IF NOT EXISTS `tblro` (
  `intROId` int(11) NOT NULL,
  `intPOId` int(11) NOT NULL,
  `dtRO` date NOT NULL,
  `intROStatus` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tbltax`
--

CREATE TABLE IF NOT EXISTS `tbltax` (
  `inttaxId` int(11) NOT NULL,
  `strtax` varchar(60) NOT NULL,
  `dectaxpercent` decimal(3,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbltax`
--

INSERT INTO `tbltax` (`inttaxId`, `strtax`, `dectaxpercent`) VALUES
(1, 'CGST', '2.50'),
(2, 'SGST', '2.50');

-- --------------------------------------------------------

--
-- Table structure for table `tbltransaction`
--

CREATE TABLE IF NOT EXISTS `tbltransaction` (
  `intTransactionId` int(11) NOT NULL,
  `intType` int(11) NOT NULL,
  `dtTransaction` date NOT NULL,
  `intClientID` int(11) NOT NULL,
  `sngReceive` decimal(10,0) NOT NULL,
  `sngDue` decimal(10,0) NOT NULL,
  `strNarration` varchar(200) NOT NULL,
  `intReference` int(11) NOT NULL,
  `intAdPlatformID` int(11) DEFAULT NULL,
  PRIMARY KEY (`intTransactionId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Table structure for table `tbltype`
--

CREATE TABLE IF NOT EXISTS `tbltype` (
  `intTypeId` int(11) NOT NULL,
  `intCategory` int(10) DEFAULT NULL,
  `intType` smallint(8) DEFAULT NULL,
  `strDescription` varchar(500) DEFAULT NULL,
  `strRemark` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`intTypeId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbltype`
--

INSERT INTO `tbltype` (`intTypeId`, `intCategory`, `intType`, `strDescription`, `strRemark`) VALUES
(1, 0, 1001, 'Role Type', NULL),
(2, 1001, 1, 'Admin', NULL),
(3, 1001, 2, 'Developer', NULL),
(4, 1001, 3, 'User', NULL),
(5, 0, 1002, 'Party Type', NULL),
(6, 1002, 1, 'Agent', NULL),
(7, 1002, 2, 'Customer', NULL),
(8, 1002, 3, 'Supplier', NULL),
(9, 1002, 4, 'Transporter', NULL),
(10, 0, 1003, 'Item Type', NULL),
(11, 1003, 1, 'Raw material', NULL),
(12, 1003, 2, 'Finished goods', NULL),
(13, 1003, 3, 'Packing material', NULL),
(14, 1003, 4, 'Gift items', NULL),
(15, 0, 1004, 'Account Group Type', NULL),
(16, 1004, 1, 'Balance sheet', NULL),
(17, 1004, 2, 'Profit & loss', NULL),
(18, 0, 1005, 'Installment Frequency', NULL),
(19, 1005, 1, 'Once', NULL),
(20, 1005, 2, 'Yearly', NULL),
(21, 1005, 3, 'Half yearly', NULL),
(22, 1005, 4, 'Quarterly', NULL),
(23, 1005, 5, 'Monthly', NULL),
(24, 0, 1006, 'Account Txn Type', NULL),
(25, 1006, 1, 'Purchase', NULL),
(26, 1006, 2, 'Sale', NULL),
(27, 1006, 3, 'Cash Payment', NULL),
(28, 1006, 4, 'Cash Receiving', NULL),
(29, 1006, 5, 'Bank Payment', NULL),
(30, 1006, 6, 'Bank Receiving', NULL),
(31, 1006, 7, 'Journal', NULL),
(32, 1006, 8, 'Opening Balance', NULL),
(33, 0, 1007, 'Stock Txn', NULL),
(34, 1007, 1, 'Purchase', NULL),
(35, 1007, 2, 'Sales', NULL),
(36, 1007, 3, 'Issue for Production', NULL),
(37, 1007, 4, 'Received from Production', NULL),
(38, 1007, 5, 'Sales Return', NULL),
(39, 1007, 6, 'Purchase Return', NULL),
(40, 1007, 7, 'Retun To Production', NULL),
(41, 1007, 8, 'Opening Stock', NULL),
(42, 0, 1008, 'Stock Txn', NULL),
(43, 1008, 1, 'To Pay', NULL),
(44, 1008, 2, 'Paid', NULL),
(45, 1008, 3, 'FOR', NULL),
(46, 0, 1009, 'Dr/Cr', NULL),
(47, 1009, 1, 'Dr', NULL),
(48, 1009, -1, 'Cr', NULL);

